umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SQLImport::ColumnConstraints Class Reference

`#include <sqlimport.h>`

## Public Member Functions
| ColumnConstraints ()

## Public Attributes
bool | primaryKey
bool | uniqueKey
bool | notNullConstraint
bool | autoIncrement
QString | collate
QString | defaultValue
QString | constraintName
QString | characterSet

## Constructor & Destructor Documentation

## ◆ ColumnConstraints()

SQLImport::ColumnConstraints::ColumnConstraints | ( |  | ) |
| inline

## Member Data Documentation

## ◆ autoIncrement

bool SQLImport::ColumnConstraints::autoIncrement

## ◆ characterSet

QString SQLImport::ColumnConstraints::characterSet

## ◆ collate

QString SQLImport::ColumnConstraints::collate

## ◆ constraintName

QString SQLImport::ColumnConstraints::constraintName

## ◆ defaultValue

QString SQLImport::ColumnConstraints::defaultValue

## ◆ notNullConstraint

bool SQLImport::ColumnConstraints::notNullConstraint

## ◆ primaryKey

bool SQLImport::ColumnConstraints::primaryKey

## ◆ uniqueKey

bool SQLImport::ColumnConstraints::uniqueKey

The documentation for this class was generated from the following file:

- umbrello/codeimport/sqlimport.h